# ServiceBus

Kubemq azure-servicebus source connector allows services using kubemq server to access google servicebus server.

## Prerequisites

The following required to run the azure-servicebus source connector:

* kubemq cluster
* azure-servicebus set up
* kubemq-source deployment

## Configuration

event-hubs source connector configuration properties:

| Properties Key            | Required | Description                       | Example                |
| ------------------------- | -------- | --------------------------------- | ---------------------- |
| end\_point                | yes      | servicebus target endpoint        | "sb://my\_account.net" |
| shared\_access\_key\_name | yes      | servicebus access key name        | "keyname"              |
| shared\_access\_key       | yes      | servicebus shared access key name | "213ase123"            |
| queue                     | yes      | servicebus queue name             | "0"                    |

Example:

```yaml
bindings:
  - name: kubemq-query-azure-servicebus
    source:
      kind: query
      name: kubemq-query
      properties:
        address: "kubemq-cluster:50000"
        client_id: "kubemq-query-azure-servicebus-connector"
        auth_token: ""
        channel: "event.azure.servicebus"
        group:   ""
        auto_reconnect: "true"
        reconnect_interval_seconds: "1"
        max_reconnects: "0"
    target:
      kind: azure.servicebus
      name: azure-servicebus
      properties:
          end_point: "sb://my_account.net"
          shared_access_key_name: "keyname"
          shared_access_key: "213ase123"
          queue: "test"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kubemq.io/configuration/connectors/kubemq-sources/azure/servicebus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
